# - Try to find the LibKGoogle library
# Once done this will define
#
#  LIBKFACEBOOK_FOUND - System has LibKGoogle
#  LIBKFACEBOOK_INCLUDE_DIR - The LibKGoogle include directory
#  LIBKFACEBOOK_LIBRARY - The library needed to use LibKGoogle
#  LIBKFACEBOOK_DEFINITIONS - Compiler switches required for using LibKGoogle
#
# Copyright (c) 2011 Dan Vratil <dan@progdan.cz>
#


IF (LIBKFACEBOOK_INCLUDE_DIR AND LIBKFACEBOOK_LIBRARY)
   SET(LibKFacebook_FIND_QUIETLY TRUE)
ENDIF (LIBKFACEBOOK_INCLUDE_DIR AND LIBKFACEBOOK_LIBRARY)

IF (NOT WIN32)
   FIND_PACKAGE(PkgConfig)
   PKG_CHECK_MODULES(PC_LIBKFACEBOOK QUIET libkfacebook)
   SET(LIBKFACEBOOK_DEFINITIONS ${PC_LIBKFACEBOOK_CFLAGS_OTHER})
ENDIF (NOT WIN32)

FIND_PATH(LIBKFACEBOOK_INCLUDE_DIR kfacebook/authenticationdialog.h
   HINTS
   ${PC_LIBKFACEBOOK_INCLUDEDIR}
   ${PC_LIBKFACEBOOK_INCLUDE_DIRS}
   PATH_SUFFIXES libkfacebook
   )

FIND_LIBRARY(LIBKFACEBOOK_LIBRARY NAMES kfacebook libkfacebook
   HINTS
   ${PC_LIBKFACEBOOK_LIBDIR}
   ${PC_LIBKFACEBOOK_LIBRARY_DIRS}
   )

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(LibKFacebook DEFAULT_MSG LIBKFACEBOOK_LIBRARY LIBKFACEBOOK_INCLUDE_DIR)

MARK_AS_ADVANCED(LIBKFACEBOOK_INCLUDE_DIR LIBKFACEBOOK_LIBRARY)

